    /*
     *  call-seq:
     *     AsciiLowerCaseFilter.new(token_stream) -> token_stream
     *
     *  Create an AsciiLowerCaseFilter which normalizes a token's text to
     *  lowercase but only for ASCII characters. For other characters use
     *  LowerCaseFilter.
     */
    static VALUE
    frt_a_lowercase_filter_init(VALUE self, VALUE rsub_ts)
    {
        TokenStream *ts = frt_get_cwrapped_rts(rsub_ts);
        ts = lowercase_filter_new(ts);
        object_add(&(TkFilt(ts)->sub_ts), rsub_ts);

        Frt_Wrap_Struct(self, &frt_tf_mark, &frt_tf_free, ts);
        object_add(ts, self);
        return self;
    }